
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
    <title>entity.datasets module &#8212; DataMAx 0.1 documentation</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-entity.datasets">
<span id="entity-datasets-module"></span><h1>entity.datasets module<a class="headerlink" href="#module-entity.datasets" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="entity.datasets.Datasets">
<em class="property">class </em><code class="sig-prename descclassname">entity.datasets.</code><code class="sig-name descname">Datasets</code><a class="headerlink" href="#entity.datasets.Datasets" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="entity.html#entity.Entity" title="entity.Entity"><code class="xref py py-class docutils literal notranslate"><span class="pre">entity.Entity</span></code></a></p>
<dl class="method">
<dt id="entity.datasets.Datasets.initialize">
<em class="property">classmethod </em><code class="sig-name descname">initialize</code><span class="sig-paren">(</span><em class="sig-param">dict_datasets: dict</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.datasets.Datasets.initialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.datasets.Datasets.merging_strategy">
<em class="property">property </em><code class="sig-name descname">merging_strategy</code><a class="headerlink" href="#entity.datasets.Datasets.merging_strategy" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.datasets.Datasets.add_dataset">
<code class="sig-name descname">add_dataset</code><span class="sig-paren">(</span><em class="sig-param">name</em>, <em class="sig-param">data_dictionary</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.datasets.Datasets.add_dataset" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.datasets.Datasets.remove_dataset">
<code class="sig-name descname">remove_dataset</code><span class="sig-paren">(</span><em class="sig-param">name</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.datasets.Datasets.remove_dataset" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.datasets.Datasets.get_dataset">
<code class="sig-name descname">get_dataset</code><span class="sig-paren">(</span><em class="sig-param">name</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.datasets.Datasets.get_dataset" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.datasets.Datasets.truncate">
<code class="sig-name descname">truncate</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#entity.datasets.Datasets.truncate" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.datasets.Datasets.get_metadata">
<code class="sig-name descname">get_metadata</code><span class="sig-paren">(</span><em class="sig-param">dataset_name: str</em>, <em class="sig-param">columns=None</em><span class="sig-paren">)</span> &#x2192; list<a class="headerlink" href="#entity.datasets.Datasets.get_metadata" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.datasets.Datasets.resolve_table_name">
<code class="sig-name descname">resolve_table_name</code><span class="sig-paren">(</span><em class="sig-param">table_name: str</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.datasets.Datasets.resolve_table_name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.datasets.Datasets.resolve_column_name">
<code class="sig-name descname">resolve_column_name</code><span class="sig-paren">(</span><em class="sig-param">table_name: str</em>, <em class="sig-param">column_name: str</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.datasets.Datasets.resolve_column_name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.datasets.Datasets.get_names">
<code class="sig-name descname">get_names</code><span class="sig-paren">(</span><span class="sig-paren">)</span> &#x2192; list<a class="headerlink" href="#entity.datasets.Datasets.get_names" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.datasets.Datasets.get_merged_names">
<code class="sig-name descname">get_merged_names</code><span class="sig-paren">(</span><em class="sig-param">table_columns: list</em><span class="sig-paren">)</span> &#x2192; list<a class="headerlink" href="#entity.datasets.Datasets.get_merged_names" title="Permalink to this definition">¶</a></dt>
<dd><p>For direct consumption by the transformer. Structure of the response:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="p">[((</span><span class="n">old_name</span><span class="p">,</span> <span class="n">new_name</span><span class="p">),</span> <span class="p">{</span><span class="s2">&quot;column_name&quot;</span><span class="p">:</span> <span class="n">new_name</span><span class="p">,</span> <span class="s2">&quot;data_type&quot;</span><span class="p">:</span> <span class="n">data_type</span><span class="p">,</span> <span class="s1">&#39;derived&#39;</span><span class="p">:</span> <span class="n">derived</span><span class="p">}),</span> <span class="p">]</span>
</pre></div>
</div>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>table_columns</strong> (<em>str</em>) – table and column joined by dot.</p>
</dd>
</dl>
<p>Returns:</p>
</dd></dl>

<dl class="method">
<dt id="entity.datasets.Datasets.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#entity.datasets.Datasets.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/entity.datasets.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, AxtriaOne.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 2.3.1.
    </div>
  </body>
</html>